package com.ruoyi.project.base.service;

import java.util.List;

import com.ruoyi.project.base.domain.TBasePoint;

/**
 * 密封点Service接口
 *
 * @author ruoyi
 * @date 2022-11-11
 */
public interface ITBasePointService {
    /**
     * 查询密封点
     *
     * @param id 密封点主键
     * @return 密封点
     */
    public TBasePoint selectTBasePointById(Long id);

    /**
     * 根据群组编码、扩展编码查询密封点
     */
    public TBasePoint selectTBasePointByGroupCodeAndExtendCode(TBasePoint tBasePoint);

    /**
     * 查询密封点列表
     *
     * @param tBasePoint 密封点
     * @return 密封点集合
     */
    public List<TBasePoint> selectTBasePointList(TBasePoint tBasePoint);

    public List<TBasePoint> selectTBasePointListByPlan(TBasePoint tBasePoint);
    public List<TBasePoint> selectTBasePointListNotInPlan(TBasePoint tBasePoint);

    /**
     * 新增密封点
     *
     * @param tBasePoint 密封点
     * @return 结果
     */
    public int insertTBasePoint(TBasePoint tBasePoint);

    /**
     * 修改密封点
     *
     * @param tBasePoint 密封点
     * @return 结果
     */
    public int updateTBasePoint(TBasePoint tBasePoint);
    public int updateTBasePointByPointIds(TBasePoint tBasePoint);
    public int updateTBasePointByUploadFile(TBasePoint tBasePoint);

    /**
     * 批量删除密封点
     *
     * @param ids 需要删除的密封点主键集合
     * @return 结果
     */
    public int deleteTBasePointByIds(Long[] ids);

    /**
     * 删除密封点信息
     *
     * @param id 密封点主键
     * @return 结果
     */
    public int deleteTBasePointById(Long id);
}
